<?xml version="1.0"?>
<soofea xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:noNamespaceSchemaLocation="../soofea.xsd" version="0.2">
  <global id="mortar_patch_slope" 
	  dim="2" 
	  coord_sys_type="cartesian" 
	  analysis_type="mortar.fixed_point"
	  convergence_criteria="1.0e-15"
	  sle_solution_method="lu"/>
  <contact non_mortar="3" 
	   mortar="5"
	   penalty="1.e5"/>
<!--  <contact non_mortar="4" 
	   mortar="5"
	   penalty="1.e5"/> -->
  <node>
    <n N="1" x="0.000" y="0.000"/>
    <n N="2" x="1.000" y="0.000"/>
    <n N="3" x="2.000" y="0.000"/>
    <n N="4" x="0.000" y="1.000"/>
    <n N="5" x="1.000" y="1.000"/>
    <n N="6" x="2.000" y="1.000"/>
    <n N="7" x="0.000" y="2.000"/>
    <n N="8" x="1.000" y="2.000"/>
    <n N="9" x="2.000" y="2.000"/>
    <!-- second mesh -->
    <n N="10" x="0.000" y="2.000"/>
    <n N="11" x="2.000" y="2.000"/>
    <n N="12" x="2.000" y="4.000"/>
    <n N="13" x="0.000" y="4.000"/>
<!--    <n N="10" x="0.000" y="0.000"/>
    <n N="11" x="-0.00" y="2.000"/>
    <n N="12" x="-2.00" y="2.000"/>
    <n N="13" x="-2.00" y="0.000"/> -->
  </node>
  <boundary>
    <b N="1" id="line" gnn="1 2 3"/>
    <b N="2" id="line" gnn="3 6 9"/>
    <b N="3" id="line" gnn="9 8 7"/>
    <b N="4" id="line" gnn="7 4 1"/>
    <!-- second mesh -->
    <b N="5" id="line" gnn="10 11"/>
    <b N="6" id="line" gnn="11 12"/>
    <b N="7" id="line" gnn="12 13"/>
    <b N="8" id="line" gnn="13 10"/>
  </boundary>
  <element>
    <e N="1" gnn="1 2 5 4" m="1" et="1"/>
    <e N="2" gnn="2 3 6 5" m="1" et="1"/>
    <e N="3" gnn="5 6 9 8" m="1" et="1"/>
    <e N="4" gnn="4 5 8 7" m="1" et="1"/>
    <!-- second mesh -->
    <e N="5" gnn="10 11 12 13" m="2" et="1"/>
  </element>
  <element_type>
    <et N="1" id="quad" flavour="mortar.FLGA" ds="3" int_points="2 2" edge_int_points="2"/>
  </element_type>
  <prescribed_dof>
    <p N="1" b="1" x="0.0" y="0.0"/>
    <p N="2" b="7" x="0.0" y="0.0"/>
    <p N="3" b="7" x="0.0" y="-0.3"/>
<!--    <p N="4" b="7" x="0.2" y="-0.3"/> -->
  </prescribed_dof>
  <dof_case>
    <dc N="1" id="const" dof="1" te="1"/>
    <dc N="2" id="ramp" dof="2 3" te="1"/>
<!--    <dc N="3" id="ramp" dof="3 4" te="2"/> -->
  </dof_case>
  <material>
    <m N="1" id="hyper_elastic" ds="2"/>
    <m N="2" id="hyper_elastic" ds="1"/>
  </material>
  <time_bar>
    <te N="1" end_time="1" step_amount="2"/>
<!--    <te N="2" end_time="2" step_amount="10"/> -->
  </time_bar>
  <data_set>
    <ds N="1">
      <data name="youngs_modulus" value="2.e3" type="double" />
      <data name="poisson_ratio"  value="0.1" type="double" />
    </ds>
    <ds N="2">
      <data name="youngs_modulus" value="1.e3" type="double" />
      <data name="poisson_ratio"  value="0.4" type="double" />
    </ds>
    <ds N="3">
      <data name="shape_order" value="1" type="int" />
      <data name="material_type" value="1" type="int" />
      <data name="height" value="1." type="double" />
    </ds>
  </data_set>
</soofea>
